import axios from '@/utils/request'

export function getList(query) {
  return axios({
    url: "/udiwms/relCode/batch/filter",
    method: "get",
    params: query
  });
}

export function delRelCode(query) {
  return axios({
    url: "/udiwms/relCode/batch/delete",
    method: "get",
    params: query
  });
}

export function addRelCode(query) {
  return axios({
    url: "/udiwms/relCode/batch/add",
    method: "post",
    data: query
  });
}


export function getDetailList(query) {
  return axios({
    url: "/udiwms/relCode/detail/filter",
    method: "get",
    params: query
  });
}


export function scanCodeRelCode(query) {
  return axios({
    url: "/udiwms/relCode/detail/scanCode",
    method: "post",
    data: query
  });
}